Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.cms
Interface DocumentRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DocumentRootImpl

    public interface DocumentRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Catalog Content Request`
- `Catalog Content Response`
- `Validate Content Request`
- `Validate Content Response`

See Also:
  `CMSPackage.getDocumentRoot()`

Method Summary
`CatalogContentRequestType` | `getCatalogContentRequest()` Returns the value of the 'Catalog Content Request' containment reference.
`CatalogContentResponseType` | `getCatalogContentResponse()` Returns the value of the 'Catalog Content Response' containment reference.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`ValidateContentRequestType` | `getValidateContentRequest()` Returns the value of the 'Validate Content Request' containment reference.
`ValidateContentResponseType` | `getValidateContentResponse()` Returns the value of the 'Validate Content Response' containment reference.
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`void` | `setCatalogContentRequest(CatalogContentRequestType value)` Sets the value of the '`Catalog Content Request`' containment reference.
`void` | `setCatalogContentResponse(CatalogContentResponseType value)` Sets the value of the '`Catalog Content Response`' containment reference.
`void` | `setValidateContentRequest(ValidateContentRequestType value)` Sets the value of the '`Validate Content Request`' containment reference.
`void` | `setValidateContentResponse(ValidateContentResponseType value)` Sets the value of the '`Validate Content Response`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CMSPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XMLNS Prefix Map' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `CMSPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XSI Schema Location' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `CMSPackage.getDocumentRoot_XSISchemaLocation()`

### getCatalogContentRequest

    CatalogContentRequestType getCatalogContentRequest()

  Returns the value of the 'Catalog Content Request' containment reference. Request to catalog specified metadata and content.

  Returns:
    the value of the 'Catalog Content Request' containment reference.
  See Also:
    `setCatalogContentRequest(CatalogContentRequestType)`, `CMSPackage.getDocumentRoot_CatalogContentRequest()`

### setCatalogContentRequest

    void setCatalogContentRequest(CatalogContentRequestType value)

  Sets the value of the '`Catalog Content Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Catalog Content Request' containment reference.
  See Also:
    `getCatalogContentRequest()`

### getCatalogContentResponse

    CatalogContentResponseType getCatalogContentResponse()

  Returns the value of the 'Catalog Content Response' containment reference. Response to request to catalog specified metadata and content.

  Returns:
    the value of the 'Catalog Content Response' containment reference.
  See Also:
    `setCatalogContentResponse(CatalogContentResponseType)`, `CMSPackage.getDocumentRoot_CatalogContentResponse()`

### setCatalogContentResponse

    void setCatalogContentResponse(CatalogContentResponseType value)

  Sets the value of the '`Catalog Content Response`' containment reference.

  Parameters:
    `value` - the new value of the 'Catalog Content Response' containment reference.
  See Also:
    `getCatalogContentResponse()`

### getValidateContentRequest

    ValidateContentRequestType getValidateContentRequest()

  Returns the value of the 'Validate Content Request' containment reference. Request to validate specified metadata and content.

  Returns:
    the value of the 'Validate Content Request' containment reference.
  See Also:
    `setValidateContentRequest(ValidateContentRequestType)`, `CMSPackage.getDocumentRoot_ValidateContentRequest()`

### setValidateContentRequest

    void setValidateContentRequest(ValidateContentRequestType value)

  Sets the value of the '`Validate Content Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Validate Content Request' containment reference.
  See Also:
    `getValidateContentRequest()`

### getValidateContentResponse

    ValidateContentResponseType getValidateContentResponse()

  Returns the value of the 'Validate Content Response' containment reference. Response to request to validate specified metadata and content.

  Returns:
    the value of the 'Validate Content Response' containment reference.
  See Also:
    `setValidateContentResponse(ValidateContentResponseType)`, `CMSPackage.getDocumentRoot_ValidateContentResponse()`

### setValidateContentResponse

    void setValidateContentResponse(ValidateContentResponseType value)

  Sets the value of the '`Validate Content Response`' containment reference.

  Parameters:
    `value` - the new value of the 'Validate Content Response' containment reference.
  See Also:
    `getValidateContentResponse()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD